#
# spec file for package clamsap
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define packname    clamsap-%{version}
%define requiresp   clamav >= 0.96
Summary:        Virus Scan Adapter (VSA) for ClamAV
Name:           clamsap
VCS: https://src.suse.de/SLFO-pool/clamsap#58f18bb60e6e24130b199762d3216a78d535bb2914b3fd503b0e246e3ab09795
Version:        0.104.3
Release:        160000.1.2
License:        MIT
Group:          Productivity/Security
Source:         https://sourceforge.net/projects/clamsap/files/source/clamsap-%{version}.tar.gz
Source1:        LICENSE
URL:            https://sourceforge.net/projects/clamsap/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       %{packname}
Requires:       %{requiresp}
BuildRequires:  %{requiresp}
%if 0%{?suse_version} >= 1030
BuildRequires:  automake
BuildRequires:  check-devel
BuildRequires:  libbz2-devel
BuildRequires:  libopenssl-devel
BuildRequires:  libtool
%endif
%if 0%{?suse_version} >= 1500
BuildRequires:  clamav-devel
%endif
ExclusiveArch:  aarch64 ppc64le x86_64

%description
This package provides two shared libraries which link SAP (NW-VSI) and ClamAV
The library clamsap links directly to clamav engine library, the library clamdsap uses the clamd
scan daemon to scan for viruses. Both libraries enable a SAP system to perform antivirus scans.

Authors:
--------
    Markus Strehle

%prep

%setup
cp %{SOURCE1} ./

%build
autoreconf --force --install
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/%_libdir/*.la
rm -rf $RPM_BUILD_ROOT/%_libdir/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license LICENSE
%defattr(-,root,root,-)
%_libdir/lib*

%changelog
* Tue Mar 25 2025 varkoly@suse.com
- Add LICENSE
* Mon Jan 27 2025 varkoly@suse.com
- Fix spec. Adapt architectures to SAP
* Mon Aug  8 2022 markus.strehle@sap.com
- Fix XML MIME type detection using libmagic
* Sat May 21 2022 markus.strehle@sap.com
- Relax javascript check in PDF
* Wed Apr 27 2022 meissner@suse.com
- use https source url, also https URL
* Tue Mar 29 2022 markus.strehle@sap.com
- Wildcard support for MIME type lists
* Thu Mar 24 2022 markus.strehle@sap.com
- Fix SAR file content scan
- Add option for PDF active content
* Tue Jul 20 2021 markus.strehle@sap.com
- Remove own default settings from VsaGetConfig and rely on clamav defaults
- Change default virusname in case clamav does not return any virus name.
* Mon Jun 21 2021 markus.strehle@sap.com
- Limit pcre calls
* Thu May  6 2021 markus.strehle@sap.com
- Increase Version because tested with latest clam engine
- Support new parameter SCANHEURISTICLEVEL
* Fri Jan 29 2021 markus.strehle@sap.com
- Enhance JPEG check
* Thu Apr  9 2020 markus.strehle@sap.com
- Fix HTML check
* Mon Mar  9 2020 markus.strehle@sap.com
- use short MIME types always
- use IANA type for SAR, see https://www.iana.org/assignments/media-types/media-types.xhtml
- copyright update
* Fri Dec 20 2019 markus.strehle@sap.com
- Use libmagic for buffer scan
* Mon Dec 16 2019 markus.strehle@sap.com
- Direct integration of libmagic
* Sun Dec 15 2019 markus.strehle@sap.com
- Correct MIME type name from libmagic
* Wed Dec 11 2019 markus.strehle@sap.com
- Fix multibyte text type detection
* Fri Nov 15 2019 markus.strehle@sap.com
- Improve library load on linux
* Wed Nov  6 2019 markus.strehle@sap.com
- Fix interface change from clamav 0.101.0 and upgrade own version
  to 0.101.0
* Tue Nov  5 2019 markus.strehle@sap.com
- Fix parser of SAR files
- Fix MIME detection for TEXT files
* Fri Jul 26 2019 musicsuse@gmx.com
- upgraded ClamSAP to version 0.99.25
- fixed package build to include dependancy on clamav-devel
